astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Astropy Core Package Utilities (`astropy.utils`) »
- HomogeneousList

# HomogeneousList

class `astropy.utils.collections.``HomogeneousList`(types, values=[])

  Bases: `list`

  A subclass of list that contains only elements of a given type or types. If an item that is not of the specified type is added to the list, a `TypeError` is raised.

  Methods Summary

  `append`(x) |
  `extend`(x) |
  `insert`(i, x) |

  Methods Documentation

  `append`(x)
  `extend`(x)
  `insert`(i, x)